Subject: Re: [Tigers] fuel pump

From: "csx2282" <[email-masked]>
Date: Tue, 11 Jun 2013 12:58:49 -0700

I very much agree regarding having a shut-off valve between the pump and 
tank.  I installed one too and it's come in handy more than once.  BTW, the 
Facet pump I installed has a built in filter.

Roland

----- Original Message ----- 
> From: [email-masked]
>
> I was advised that if the filter before the pump plugged up, the  pump
> would starve and burn up.  I put one in anyway :-)  Oh, and I put  a 
> shut-off
> between the tanks and pump. Very handy to be able to shut off the  fuel 
> supply
> for any reason.
> Mark L
_______________________________________________

[email-masked]

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]